package nl.nikhef.safaripark.extra;

import java.awt.Component;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JToolBar;
import javax.swing.SwingConstants;

public final class GuiUtils {

	private GuiUtils() {};
	
	public static final void toolbarTextButton(JButton button) 
	{
		button.setBorder(BorderFactory.createEmptyBorder(4,4,4,4));
		button.setHideActionText(false);
		button.setHorizontalTextPosition(SwingConstants.TRAILING);
		button.setVerticalTextPosition(SwingConstants.CENTER);
	}

	public static final void toolbarTextButtions(JToolBar tb)
	{
		
		for (Component c: tb.getComponents())
		{
			if (c instanceof JButton) {
				toolbarTextButton(JButton.class.cast(c));
			}
		}
		
	}
	
}
